Bug 1613290

Summary: Please update it to the last version
Product: [Fedora] Fedora EPEL Reporter: Frank Büttner <bugzilla>
Component: python3-pyasn1Assignee: Aurelien Bompard <aurelien>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: aurelien
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python3-pyasn1-0.4.7-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-13 10:08:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Frank Büttner 2018-08-07 11:25:30 UTC
Description of problem:
The current version will not work with ldap3

Version-Release number of selected component (if applicable):
python34-pyasn1-0.1.9-1.el7.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Try to use ldap3


Actual results:
   from ldap3 import Server, Connection, ALL
  File "/usr/lib/python3.4/site-packages/ldap3/__init__.py", line 138, in <module>
    from .core.connection import Connection
  File "/usr/lib/python3.4/site-packages/ldap3/core/connection.py", line 37, in <module>
    from ..extend import ExtendedOperationsRoot
  File "/usr/lib/python3.4/site-packages/ldap3/extend/__init__.py", line 45, in <module>
    from .standard.whoAmI import WhoAmI
  File "/usr/lib/python3.4/site-packages/ldap3/extend/standard/whoAmI.py", line 27, in <module>
    from pyasn1.type.univ import NoValue
ImportError: cannot import name 'NoValue'


Expected results:
Working ldap3  module for python3

Additional info:
With pyasn1 (0.4.4) the ldap3 module can loaded fine.

Comment 1 Fedora Update System 2019-10-28 20:08:19 UTC
FEDORA-EPEL-2019-eaf5afe563 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-eaf5afe563

Comment 2 Fedora Update System 2019-10-29 04:37:42 UTC
python3-pyasn1-0.4.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-eaf5afe563

Comment 3 Fedora Update System 2019-11-13 10:08:01 UTC
python3-pyasn1-0.4.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.